<?php

/**
 * Simple Machines Forum (SMF)
 *
 * @package Naytheet Social Login Code
 * @author Naytheet <naytheet @ simplemachines (dot) org>
 * @copyright 2023 Naytheet
 * @license 3-Clause BSD https://opensource.org/licenses/BSD-3-Clause
 * @version 1.0
 */

// If SSI.php is in the same place as this file, and SMF isn't defined...
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');

// Hmm... no SSI.php and no SMF?
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot uninstall - please verify you put this in the same place as SMF\'s index.php.');

remove_integration_function('integrate_pre_include', '$sourcedir/NaytheetSocialLogin.php');
remove_integration_function('integrate_load_theme', 'naytheet_social_login_load_theme');
remove_integration_function('integrate_general_mod_settings', 'naytheet_social_login_general_mod_settings');
remove_integration_function('integrate_register', 'naytheet_create_avatar');
remove_integration_function('integrate_helpadmin', 'naytheet_social_login_helpadmin');
